Name:      srm
Version:   1.2.14
Release:   1
Summary:   Secure file deletion
Group:     Applications/System
License:   MIT
URL:       http://srm.sourceforge.net/
Source0:   http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:    %{name}-%{version}-aix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
srm is a secure replacement for rm(1). Unlike the standard rm, it
overwrites the data in the target files before unlinkg them. This
prevents command-line recovery of the data by examining the raw block
device. It may also help frustrate physical examination of the disk,
although it's unlikely that completely protects against this type of
recovery.


%prep
%setup -q
%patch0


%build
export CC="xlc_r -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGE_FILES"

./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir}

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -s ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/%{name}
%{_mandir}/man?/*
/usr/bin/%{name}


%changelog
* Fri Nov 07 2014 Michael Perzl <michael@perzl.org> - 1.2.14-1
- updated to version 1.2.14

* Tue Mar 18 2014 Michael Perzl <michael@perzl.org> - 1.2.13-1
- updated to version 1.2.13

* Thu Jan 30 2014 Michael Perzl <michael@perzl.org> - 1.2.12-1
- updated to version 1.2.12

* Tue Jan 11 2011 Michael Perzl <michael@perzl.org> - 1.2.11-1
- first version for AIX V5.1 and higher
